package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.TCtldevinfo;
import com.chinaitop.depot.intelligent.ventilation.model.TCtldevinfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TCtldevinfoMapper {
    int countByExample(TCtldevinfoExample example);

    int deleteByExample(TCtldevinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TCtldevinfo record);

    int insertSelective(TCtldevinfo record);

    List<TCtldevinfo> selectByExample(TCtldevinfoExample example);

    TCtldevinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TCtldevinfo record, @Param("example") TCtldevinfoExample example);

    int updateByExample(@Param("record") TCtldevinfo record, @Param("example") TCtldevinfoExample example);

    int updateByPrimaryKeySelective(TCtldevinfo record);

    int updateByPrimaryKey(TCtldevinfo record);

    List<TCtldevinfo> selectBycf(Map<String, Object> modelMap);
}